%define upstream_name Path-IsDev
%define upstream_version 0.6.0

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Determine if a given Path resembles a development source tree
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/App/KENTNL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Tiny)
BuildRequires:	perl(Module::Build) >= 0.400.500
BuildRequires:	perl(Moo)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This module is more or less a bunch of heuristics for determining if a
given path is a development tree root of some kind.

This has many useful applications, notably ones that require behaviours
for "installed" modules to be different to those that are still "in
development"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 540789
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 494310
- update to 0.6.0

* Mon Sep 30 2013 sander85 <sander85> 0.4.0-1.mga4
+ Revision: 489673
- update to 0.4.0

* Fri Sep 27 2013 sander85 <sander85> 0.3.3-1.mga4
+ Revision: 488029
- update to 0.3.3

* Tue Sep 24 2013 sander85 <sander85> 0.3.2-1.mga4
+ Revision: 485581
- update to 0.3.2

* Fri Sep 06 2013 sander85 <sander85> 0.2.3-1.mga4
+ Revision: 475484
- imported package perl-Path-IsDev

